2

Requirement is to create a Core service application on the .Net Core 3.1 framework for Web 8.5 version.

Tried the below steps as suggested in the blog. Blog

  1. Add new Connected Services
  2. Select Microsoft WCF Web Service Reference Provider.
  3. Update the core service link https://tridionCmsServer/webservices/CoreService201603.svc
  4. Selected the below displayed "CoreService201603" and updated the namespace
  5. Selected reuse types in referenced assemblies
  6. Access level for generated classes: -> Public
  7. Finish

Window with status as Adding connected service to project is displayed.

Then below errors are displayed.

Failed: See window for error details. It was not possible to find any compatible framework version - The following 'Microsoft.NetCore.App', version "2.1.0" was not found. You can resolve the problem by installing the specified framework and/or SDK. 3.1.1 at [C:\Program Files\dotnet\shared\Microsoft.NETCore.App] The specified framework can be foundat: Done.

Do we have any workaround to connect the core service for .NetCore 3.1 or solution to fix this issue.

Please let us know, since this is a blocker for us to migrate our whole application to this new framework.

0

You should be able to connect to the Core Service in a Web 8.5 instance from a .NET Core 3.1 web application. Here are some pointers that might help you connect to the Core Service using a .NET Core web application:

  1. The version of the .NET Core runtime and SDK installed on the machine running the web application should be 3.1. You can check the version by running the command dotnet --version in the terminal. You should be seeing 3.1. If you have installed .NET Core, but not seeing the right version in the terminal, ensure that the .NET runtime is added PATH variable. More information about how to check which versions are installed is available here.

enter image description here

  1. In the web application's property .csproj file, the target framework should be set netcoreapp3.1.
<PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
</PropertyGroup>

If you have the right .NET runtime and SDK installed and if the web application is configured to use the right .NET runtime, you should be to hit the route /getapiversion and get the API version by following the steps as described by Robert here.

enter image description here

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.